#!/usr/bin/env bash
# Wed 21 Sep 2016 13:08:05 CEST

# Functions for coloring echo commands
red_echo() {
  echo -e "\033[1;31m${@}\033[0m"
}

green_echo() {
  echo -e "\033[1;32m${@}\033[0m"
}

if [ -z "${DOCUSER}" ] || [ -z "${DOCPASS}" ] || [ -z "${DOCSERVER}" ]; then
  red_echo "DOCSERVER, DOCUSER and/or DOCPASS undefined - aborting...";
  exit 1
fi

info=sphinx/.gitlab-ci.info

echo "repo=${CI_PROJECT_PATH}" > ${info}
echo "branch=${CI_BUILD_REF_NAME}" >> ${info}
echo "tag=${CI_BUILD_TAG}" >> ${info}
echo "build=${CI_BUILD_ID}" >> ${info}
echo "commit=${CI_BUILD_REF}" >> ${info}
echo "runner=${CI_RUNNER_DESCRIPTION}" >> ${info}

file=${CI_PROJECT_NAME}-${CI_BUILD_REF}.tar.bz2
tar cfj ${file} sphinx

green_echo "[>>] Uploading ${file}..."
curl --silent --user "${DOCUSER}:${DOCPASS}" --upload-file ${file} ${DOCSERVER}/software/bob/docs-upload/
if [ $? != 0 ]; then
  red_echo "[error] curl command finished with an error condition"
  exit 1
fi
